#!/bin/bash

# Get the index of the capture card
capture_idx=$(cat /proc/asound/cards | sed -rn 's/^\s*([0-9]+)\s*\[cl311m2.*/\1/p')
[ -n "${capture_idx}" ] || exit

sudo modprobe cl311m2

attempts=0
max_attempts=60
while [ "${attempts}" -lt "${max_attempts}" ] ; do
    pactl load-module module-alsa-source rate=48000 device=hw:${capture_idx} && break
    attempts=$((attempts+1))
    sleep 1
done
if [ "${attempts}" -eq "${max_attempts}" ]; then
    echo "Unable to configure capture card audio" > /tmp/mirror-sound.txt
fi
